Bug 711632 - SEGV with no icon in oxygen-gtk icon theme.
SEGV with no icon in oxygen-gtk icon theme.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
abrt_hash:b8c507d04790725df03d75f50de...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-07 21:58 EDT by Jens Petersen
Modified: 2011-06-10 09:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: ibus-1.3.99.20110419-2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-10 09:29:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2011-06-07 21:58:01 EDT
abrt version: 2.0.1
architecture:   x86_64
cmdline:        /usr/bin/python /usr/share/ibus/ui/gtk/main.py
comment:        Changed desktop icon theme from Fedora to Oxygen (in XFCE).
component:      ibus
executable:     /usr/share/ibus/ui/gtk/main.py
kernel:         2.6.38.6-27.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        ibus-1.3.99.20110408-5.fc15
time:           Wed Jun  8 10:53:02 2011
uid:            500
username:       petersen

reason:         Binary file, 97 bytes

backtrace:
:icon.py:38:__init__:GError:  'gtk-missing-image' 
:
:Traceback (most recent call last):
:  File "/usr/share/ibus/ui/gtk/panel.py", line 510, in __status_icon_activate_cb
:    item.set_image(_icon.IconWidget("gtk-info", size[0]))
:  File "/usr/share/ibus/ui/gtk/icon.py", line 38, in __init__
:    pixbuf = theme.load_icon(gtk.STOCK_MISSING_IMAGE, size, 0)
:GError:  'gtk-missing-image' 
:
:Local variables in innermost frame:
:theme: <gtk.IconTheme object at 0x28b26e0 (GtkIconTheme at 0x26ef090)>
:icon: 'gtk-info'
:pixbuf: None
:self: <IconWidget object at 0x28b20f0 (GtkImage at 0x292a440)>
:size: 16
Comment 1 fujiwara 2011-06-08 00:05:17 EDT
I don't understand what is 'gtk-info'. I'm also adding 'gnome' icon theme until bug 699103 is fixed.

--- ibus/ui/gtk/main.py.orig	2011-04-25 12:33:39.296999692 +0900
+++ ibus/ui/gtk/main.py	2011-06-08 11:53:44.027232075 +0900
@@ -86,6 +86,9 @@ class UIApplication:
             pass
 
 def launch_panel(replace):
+    settings = gtk.settings_get_default()
+    if settings.get_property('gtk-fallback-icon-theme') == None:
+        settings.set_property('gtk-fallback-icon-theme', 'gnome')
     # gtk.settings_get_default().props.gtk_theme_name = "/home/phuang/.themes/aud-Default/gtk-2.0/gtkrc"
     # gtk.rc_parse("./themes/default/gtkrc")
     UIApplication(replace).run()
--- ibus/ui/gtk/panel.py.orig	2011-06-08 12:16:40.107577438 +0900
+++ ibus/ui/gtk/panel.py	2011-06-08 12:17:00.440460268 +0900
@@ -507,7 +507,7 @@ class Panel(ibus.PanelBase):
             menu = gtk.Menu()
             item = gtk.ImageMenuItem(_("No input window"))
             size = gtk.icon_size_lookup(gtk.ICON_SIZE_MENU)
-            item.set_image(_icon.IconWidget("gtk-info", size[0]))
+            item.set_image(_icon.IconWidget("gtk-dialog-info", size[0]))
             menu.add(item)
             menu.show_all()
         else:
Comment 2 Fedora Update System 2011-06-08 02:45:20 EDT
ibus-1.3.99.20110419-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ibus-1.3.99.20110419-2.fc15
Comment 3 Fedora Update System 2011-06-10 09:29:31 EDT
ibus-1.3.99.20110419-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.